<!DOCTYPE html>
<html lang="en" th:replace="common/masterpage :: masterpage(~{}, ~{::page}, ~{::script})" xmlns:th="http://www.thymeleaf.org" xmlns:sec="http://www.thymeleaf.org/extras/spring-security">
<head>
<title th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).PROPERTY_PROJECT_NAME}}"></title>
</head>
<body>
  <div class="ui main container" th:fragment="page" sec:authorize="hasAuthority(T(pt.com.scrumify.helpers.ConstantsHelper).ROLE_TEAMS_READ)">
    <th:block th:replace="common/fragments/elements :: title(text = #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_TEAMS}}, 
                                                             icon = ${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_TEAMS}, 
                                                             url = null)" 
                                                             />
    <div class="ui grid">
      <div class="right floated right aligned column">
        <div class="ui checkbox ">
          <input type="checkbox">
          <label>Show Inactive</label>
        </div>
      </div>
    </div>
    <br />
    <th:block th:if="${#lists.isEmpty(teams)}" th:insert="common/fragments/input :: message" />
    <div th:fragment="list-teams" th:if="${not #lists.isEmpty(teams)}" id="list-teams">
      <table class="ui table" id="teams" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}">
        <thead>
          <tr>
            <th th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_NAME}}"></th>
            <th th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_SUBAREA}}"></th>
            <th class="center aligned" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_MEMBERS}}"></th>
          </tr>
        </thead>
        <tbody>
          <tr th:each="team: ${teams}">
            <td><a class="ui mini" data-variation="mini inverted" th:attr="data-content= ${team.name} != null and ${#strings.length(team.name)} > 30 ? ${team.name}" sec:authorize="hasAuthority(T(pt.com.scrumify.helpers.ConstantsHelper).ROLE_TEAMS_READ)" th:href="@{${T(pt.com.scrumify.helpers.ConstantsHelper).MAPPING_TEAMS} + '/' + ${team.id} + ${T(pt.com.scrumify.helpers.ConstantsHelper).MAPPING_UPDATE}}" th:text="${#strings.length(team.name) > 30 ? #strings.substring(team.name, 0, 30) + ' ...' : team.name}"></a></td>
            <td th:text="${team.subArea.name}"></td>
            <td class="center aligned">
            	<img class="ui mini avatar image" data-variation="mini inverted" th:each="member,iter : ${team.members}" th:if="${iter.index} < 10" th:src="@{${member.pk.resource.avatar.image}}" th:attr="data-content=${member.pk.resource.name}" alt="avatar"/>
           	</td>
          </tr>
        </tbody>
      </table>
      <br />
    </div>
    <th:block sec:authorize="hasAuthority(T(pt.com.scrumify.helpers.ConstantsHelper).ROLE_TEAMS_CREATE)" th:replace="common/fragments/form :: actionbuttons(icon1 = null,
		                                                              icon1text = null,
		                                                              icon1url = null,
		                                                              icon2 = ${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_NEW},
		                                                              icon2text = ${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_NEW},
                                                          			  icon2url = ${T(pt.com.scrumify.helpers.ConstantsHelper).MAPPING_TEAMS_CREATE},
		                                                              )" />
  </div>
  <script th:src="@{${T(pt.com.scrumify.helpers.ConstantsHelper).SCRIPT_TEAMS_JS}}"></script>
</body>
</html>
